This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 877974 - updating top-level group does not reflect ghost members correctly
updating top-level group does not reflect ghost members correctly
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sssd (Show other bugs)
6.4
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Jakub Hrozek
Kaushik Banerjee
: Regression
Depends On:
Blocks: 886216
  Show dependency treegraph
 
Reported: 2012-11-19 05:58 EST by Jakub Hrozek
Modified: 2014-07-23 05:46 EDT (History)
5 users (show)

See Also:
Fixed In Version: sssd-1.9.2-34.el6
Doc Type: Bug Fix
Doc Text:
No documentation needed.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 04:40:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jakub Hrozek 2012-11-19 05:58:28 EST
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/sssd/ticket/1652

I found this bug while testing my patch for #1612, but I managed to reproduce it with vanilla master, too, so I'm filing it separately.

When we we first retrieve a nested group and then its parent, the parent should also include the nested group's members. It does not.

To reproduce, add two groups, mid and top. Set a low cache timeout. Then run the sequence of commands:
1. getent group top # Will show all top and mid users just fine.
1. getent group mid # Will show all mid users just fine.
1. sleep cache_timeout
1. getent group top # Only users from top are displayed
Comment 3 Kaushik Banerjee 2012-12-28 08:03:37 EST
Verified in version 1.9.2-59

Report from beaker automation run:
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: 2307bis_008 - 877974 - updating top-level group does not reflect ghost members correctly
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   LOG    ] :: Sleeping for 5 seconds
:: [   PASS   ] :: Running 'getent group mofuser5_grp_top'
:: [   PASS   ] :: Running 'getent group mofuser5_grp_top | grep mof_user5 | grep mofuser5_1'
:: [   PASS   ] :: Running 'getent group mofuser5_grp_mid | grep mof_user5 | grep -v mofuser5_1'
:: [   PASS   ] :: Running 'getent group mofuser5_grp_top | grep mof_user5 | grep mofuser5_1'
:: [   LOG    ] :: Duration: 45s
:: [   LOG    ] :: Assertions: 4 good, 0 bad
:: [   PASS   ] :: RESULT: 2307bis_008 - 877974 - updating top-level group does not reflect ghost members correctly
Comment 4 errata-xmlrpc 2013-02-21 04:40:38 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0508.html

Note You need to log in before you can comment on or make changes to this bug.